\name{rpudlFindTrainingDataMean}
\alias{rpudlFindTrainingDataMean}
\concept{deep learning}

\title{
Mean Input Values of the Training Data
}

\description{
Finding mean input values of the training data in 
an \code{RPUDL} data source. The result is to be
saved to an output file.
}

\usage{
rpudlFindTrainingDataMean(
    data.source,
    filename = "data.mean",
    ...,
    log.level = 1
    )
}

\arguments{
  \item{data.source}{An S3 object that inherits the class \code{rpudl.data.source}} 
  \item{filename}{Name of the output file, which is located in the same
        path folder as the data set.} 
  \item{\dots}{further arguments to be passed to or from methods}
  \item{log.level}{level of the method output (0 = silent, 
        1 = basic output, 2 = detailed output)} 
}

\author{
  Chi Yau\cr
  \email{chi.yau@r-tutor.com}
}

\seealso{
rpudlCreateDataSource
}

\examples{
\dontrun{
ds <- rpudlCreateDataSource(
        data.format="lmdb",
        data.dir=file.path(data.dir, "cifar10"),
        train.data="samples_train_lmdb",
        test.data="samples_test_lmdb",
        data.shape=c(32, 32),
        data.channels=3
)

rpudlFindTrainingDataMean(ds, filename="samples.mean")
}}

\keyword{misc}


